Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454795 - CPUSCALING test never pass on HP Compaq 2510p notebook
Summary: CPUSCALING test never pass on HP Compaq 2510p notebook
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 02:53 UTC by YangKun
Modified: 2008-08-21 15:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-21 15:23:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
the result.xml file (deleted)
2008-07-10 02:54 UTC, YangKun
no flags Details
sysreport tarball (deleted)
2008-07-10 02:56 UTC, YangKun
no flags Details

Description YangKun 2008-07-10 02:53:46 UTC
Description of problem:

this test never pass on HP Compaq 2510p notebook, I tried the latest hts-5.2-18
on RHEL5.2-i386, also failed.

Comment 1 YangKun 2008-07-10 02:54:22 UTC
Created attachment 311438 [details]
the result.xml file

Comment 2 YangKun 2008-07-10 02:56:55 UTC
Created attachment 311439 [details]
sysreport tarball

Comment 3 Greg Nichols 2008-07-10 15:12:49 UTC
Please try setting the speeds manually:

> cpufreq-selector -f 1068
> cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
> cpufreq-selector -f 1067
> cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq

Comment 4 YangKun 2008-07-11 01:41:20 UTC
seems cpufreq-selector not working:

===============================================================
[root@dhcp-65-124 ~]# cpufreq-selector -f 1068
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq 
800000
[root@dhcp-65-124 ~]# cpufreq-selector -f 1067
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq 
800000
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor 
userspace
[root@dhcp-65-124 ~]# cat
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors 
ondemand userspace performance 
[root@dhcp-65-124 ~]# cat
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies 
1068000 1067000 800000 
[root@dhcp-65-124 ~]# echo "ondemand" >
/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor 
ondemand
[root@dhcp-65-124 ~]# cpufreq-selector -f 1068
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
800000
[root@dhcp-65-124 ~]#
===============================================================

Comment 5 Greg Nichols 2008-07-11 14:45:20 UTC
I'd say the test really does fail. 

One more thing: could you try:

> cpufreq-selector -f 1068000

I'm wondering if it's a units problem MHz vs KHz.

Comment 6 YangKun 2008-07-14 01:27:05 UTC
looks like it is a MHz vs KHz problem:

===============================================================
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq 
800000
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor 
ondemand
[root@dhcp-65-124 ~]# cpufreq-selector -f 1068000
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq 
1067000
[root@dhcp-65-124 ~]# cat
/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies 
1068000 1067000 800000 
[root@dhcp-65-124 ~]# cpufreq-selector -f 1068000
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq 
1067000
[root@dhcp-65-124 ~]# cpufreq-selector -f 1067000
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq 
1067000
[root@dhcp-65-124 ~]# cpufreq-selector -f 800000
[root@dhcp-65-124 ~]# cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq 
800000
[root@dhcp-65-124 ~]#
===============================================================

so does this mean this laptop can not be certified since it fails this
cpuscaling test ?

Comment 7 Greg Nichols 2008-07-14 11:45:46 UTC
So the conclusion is that 1068000 KHz is stated as an available frequency, but
it can't be set.   It's clearly a test failure (not an HTS bug).


Note You need to log in before you can comment on or make changes to this bug.